# Parametres de taille des sorties des tests
set(CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE 1000000000)
set(CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE 1000000000)

# Definition des erreurs/warnings
set(CTEST_CUSTOM_ERROR_EXCEPTION
    ${CTEST_CUSTOM_ERROR_EXCEPTION}
    "attention"
   )
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_ERRORS 2000)
set(CTEST_CUSTOM_WARNING_MATCH
    ${CTEST_CUSTOM_WARNING_MATCH}
    "attention "
   )
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_WARNINGS 3000)

# Nombre de secondes avant qu'un test soit considere comme bloque
if(DEFINED ENV{CTEST_TEST_TIMEOUT})
    set(CTEST_TEST_TIMEOUT $ENV{CTEST_TEST_TIMEOUT})
else()
    set(CTEST_TEST_TIMEOUT 10800)
endif()
