if(DEFINED ENV{CI_PROJECT_DIR})
    set(CTEST_SOURCE_DIRECTORY $ENV{CI_PROJECT_DIR})
    set(CTEST_BINARY_DIRECTORY $ENV{CI_PROJECT_DIR}/build)
endif()

include("${CTEST_SCRIPT_DIRECTORY}/CTest/machines.cmake")

if(DEFINED ENV{CI_COMMIT_REF_NAME})
    set(CTEST_BUILD_NAME "$ENV{CI_COMMIT_REF_NAME}")
endif()
if(DEFINED ENV{CI_COMMIT_SHORT_SHA})
    set(CTEST_BUILD_NAME "${CTEST_BUILD_NAME} / $ENV{CI_COMMIT_SHORT_SHA}")
endif()

# Parameters
include("${CTEST_SCRIPT_DIRECTORY}/CTestCustom.cmake")

ctest_start(Experimental)
ctest_configure()
ctest_submit()

ctest_build(PARALLEL_LEVEL ${NUM_PROCS_USED} TARGET install)
ctest_submit()

ctest_test(PARALLEL_LEVEL ${NUM_PROCS_USED} OUTPUT_JUNIT report.xml)
ctest_submit()
