/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2024 CEA/DEN
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   IshigamiLib.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2024-07-11
 
 \brief  ishigami exemple as a TLibCodeEval
*/


#ifndef __ISHIGALILIB__
#define __ISHIGAMILIB__

#include "TLibCodeEval.h"

class IshigamiLib : public URANIE::Relauncher::TLibCodeEval {
public:
    IshigamiLib();
    virtual ~IshigamiLib();
    
    virtual URANIE::Relauncher::TLibCodeEval *clone();
    virtual int runCode();

};

#endif